# Joiner Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for Joiner:
[legend]

List of all members.

## Public Member Functions

| from (FromTable $from)
| hasJoinedTable ($table)
| getTablesCount ()
| join (SQLJoin $join)
| leftJoin (SQLLeftJoin $join)
| rightJoin (SQLRightJoin $join)
| getFirstTable ()
| getLastTable ()
| toDialectString (Dialect $dialect)

## Private Attributes

| $from = array()
| $tables = array()

## Detailed Description

Definition at line 16 of file Joiner.class.php.

## Member Function Documentation

Joiner::from | ( | FromTable $ | from | ) |

Returns:
  Joiner

Definition at line 24 of file Joiner.class.php.

Referenced by getFirstTable(), getLastTable(), getTablesCount(), join(), leftJoin(), rightJoin(), and toDialectString().

Joiner::getFirstTable | ( |  | ) |

Definition at line 74 of file Joiner.class.php.

References from().

Here is the call graph for this function:

Joiner::getLastTable | ( |  | ) |

Definition at line 82 of file Joiner.class.php.

References from().

Here is the call graph for this function:

Joiner::getTablesCount | ( |  | ) |

Definition at line 36 of file Joiner.class.php.

References from().

Here is the call graph for this function:

Joiner::hasJoinedTable | ( | $ | table | ) |

Definition at line 31 of file Joiner.class.php.

Joiner::join | ( | SQLJoin $ | join | ) |

Returns:
  Joiner

Definition at line 44 of file Joiner.class.php.

References from(), and SQLBaseJoin::getTable().

Here is the call graph for this function:

Joiner::leftJoin | ( | SQLLeftJoin $ | join | ) |

Returns:
  Joiner

Definition at line 55 of file Joiner.class.php.

References from(), and SQLBaseJoin::getTable().

Here is the call graph for this function:

Joiner::rightJoin | ( | SQLRightJoin $ | join | ) |

Returns:
  Joiner

Definition at line 66 of file Joiner.class.php.

References from(), and SQLBaseJoin::getTable().

Here is the call graph for this function:

Joiner::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 90 of file Joiner.class.php.

References from().

Here is the call graph for this function:

## Member Data Documentation

Joiner::$from = array()`[private]`

Definition at line 18 of file Joiner.class.php.

Joiner::$tables = array()`[private]`

Definition at line 19 of file Joiner.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/Joiner.class.php